%global pypi_name slimit
%define tag bdf540dc48d08bfe47ec82bef9feff56f5b8737c
%define date 20200627
Name:           python-%{pypi_name}
Version:        0.8.2
Release:        %mkrel git%{date}.18
Group:          Development/Python
Summary:        SlimIt - JavaScript minifier

License:        MIT
# URL:            https://pypi.org/project/slimit/ original. Use a fork:
URL:            https://github.com/mvondracek/slimit/
Source0:        %{tag}.tar.gz
# the version 0.11.0-mv is rejected by pyproject build
Patch0:         slimit-fix-version.patch

BuildArch:      noarch

%description
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript into 
more compact code so that it downloads and runs faster.
SlimIt also provides a library that includes a JavaScript parser, lexer, 
pretty printer and a tree visitor.

%package -n %{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python
Requires:       python3-%{pypi_name}

%description -n %{pypi_name}
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript into 
more compact code so that it downloads and runs faster.
SlimIt also provides a library that includes a JavaScript parser, lexer, 
pretty printer and a tree visitor.

%package -n python3-%{pypi_name}
Summary:        SlimIt - JavaScript minifier
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       %{pypi_name} = %{version}-%{release}

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

%description -n python3-%{pypi_name}
SlimIt is a JavaScript minifier written in Python. It compiles JavaScript into 
more compact code so that it downloads and runs faster.
SlimIt also provides a library that includes a JavaScript parser, lexer, 
pretty printer and a tree visitor.

%prep
%setup -q -n %{pypi_name}-%{tag}

%autopatch -p1

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files slimit

%files -n %{pypi_name}
%{_bindir}/%{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc CHANGES README.rst


%changelog
* Tue Nov 15 2022 papoteur <papoteur> 0.8.2-git20200627.18.mga9
+ Revision: 1907608
- sync tarball
- use a fork really ported to Python3

* Wed Mar 23 2022 umeabot <umeabot> 0.8.1-17.mga9
+ Revision: 1823330
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 0.8.1-16.mga9
+ Revision: 1782548
- rebuild for python-3.10

* Fri Apr 23 2021 daviddavid <daviddavid> 0.8.1-15.mga9
+ Revision: 1718212
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 0.8.1-14.mga8
+ Revision: 1532479
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 0.8.1-13.mga8
+ Revision: 1442356
- rebuild for python3.8
- drop python2 support

* Thu Jan 10 2019 shlomif <shlomif> 0.8.1-12.mga7
+ Revision: 1354391
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.8.1-11.mga7
+ Revision: 1290043
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.8.1-10.mga7
+ Revision: 1135641
- Rebuild for python 3.6

* Wed Apr 05 2017 blino <blino> 0.8.1-9.mga6
+ Revision: 1095928
- require python-slimit in slimit, not found by autoreq because it uses load_entry_point

* Fri Feb 19 2016 umeabot <umeabot> 0.8.1-8.mga6
+ Revision: 970867
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 daviddavid <daviddavid> 0.8.1-7.mga6
+ Revision: 888761
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-6.mga5
+ Revision: 750252
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.1-5.mga5
+ Revision: 729767
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.1-4.mga5
+ Revision: 688337
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.8.1-3.mga5
+ Revision: 629016
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.8.1-2.mga4
+ Revision: 546137
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 neoclust <neoclust> 0.8.1-1.mga4
+ Revision: 502210
- imported package python-slimit

